?><?php

/**
 *
 * @package Module
 * @subpackage OutputSetsOfImages
 * @version SVN Revision $Rev:$
 *
 * @author info@tone2tone.com
 * @copyright TONE2TONE e.K., Viktor Lehmann
 * @link http://www.tone2tone.com
 * Thanks to creators of former similar modules for code snippets and ideas
 */

$db = cRegistry::getDb();
$cfg = cRegistry::getConfig();
$client = cRegistry::getClientId();
$cfgClient = cRegistry::getClientConfig();


// prepare pre-configured values
$selected_tpl = "CMS_VALUE[12]";
$selectTpl    = "CMS_VAR[12]";

// find Smarty-Templates which belong to THIS module by scanning the appropriate subdir
$module = new cModuleHandler($cCurrentModule);
$tplFiles = $module->getAllFilesFromDirectory('template');
array_multisort($tplFiles, SORT_ASC, SORT_STRING);

// construct the HTML
$fillrow = array();
$filltable = array();
$table = new cHTMLTable();
//first row
$tr = new cHTMLTableRow();
$td = new cHTMLTableData();
$td->setContent(mi18n("label_template"));
$fillrow[] = $td;
$td = new cHTMLTableData();
$select = new cHTMLSelectElement($selectTpl);

$option = new cHTMLOptionElement(mi18n("please_choose"), "");
$select->appendOptionElement($option);
foreach ($tplFiles AS $key=>$value) {
	$value = str_replace($tplpath, "", $value);

	$option = new cHTMLOptionElement($value, $value);
    if ($selected_tpl == $value) {
        $option->setSelected(true);
    }
    $select->appendOptionElement($option);
}

$td->setContent($select);
$fillrow[] = $td;
$tr->setContent($fillrow);
$filltable[] = $tr;

// put all rows in the table
$table->setContent($filltable);

// echo the whole HTML
echo $table->render();

?><?php