<?php
/**
* $RCSfile$
*
* Description: Output some HTML text
*
* @version 1.0.0
* @author Rudi Bieller
* @copyright four for business AG 
*
* {@internal
* created 2008-04-07
* }}
*
* $Id$
*/

// Prepare module info. Needed later to check if defined default smarty template is a real file 
$mod = new cApiModule($cCurrentModule);
$tplpath = $cfgClient[$client]["path"]["frontend"]."data/modules/".$mod->get("alias")."/template/";
$sTpl             = ( "CMS_VALUE[12]" == "" ) ? "text_image_image.tpl" : "CMS_VALUE[12]";

// General width/height settings
$orWidth = 400;
$orHeight = 200;
$ocWidth = 200;
$ocHeight = 200;
$opWidth = 900;
$opHeight = 600;

// get image source and description from content type IMG with index 10 and 20

$thisimg[10] = "CMS_IMG[10]";
$thisimg[13] = "CMS_IMG[13]";
$thisimg[16] = "CMS_IMG[16]";
$thisimg[19] = "CMS_IMG[19]";
$thisimg[22] = "CMS_IMG[22]";
$thisimg[25] = "CMS_IMG[25]";
$thisimg[28] = "CMS_IMG[28]";
$thisimg[31] = "CMS_IMG[31]";
$thisimg[34] = "CMS_IMG[34]";
$thisimg[37] = "CMS_IMG[37]";

$imgeditor[10] = "CMS_IMGEDITOR[10]";
$imgeditor[13] = "CMS_IMGEDITOR[13]";
$imgeditor[16] = "CMS_IMGEDITOR[16]";
$imgeditor[19] = "CMS_IMGEDITOR[19]";
$imgeditor[22] = "CMS_IMGEDITOR[22]";
$imgeditor[25] = "CMS_IMGEDITOR[25]";
$imgeditor[28] = "CMS_IMGEDITOR[28]";
$imgeditor[31] = "CMS_IMGEDITOR[31]";
$imgeditor[34] = "CMS_IMGEDITOR[34]";
$imgeditor[37] = "CMS_IMGEDITOR[37]";

$thistext[10] = "CMS_HTML[10]";
$thistext[13] = "CMS_HTML[13]";
$thistext[16] = "CMS_HTML[16]";
$thistext[19] = "CMS_HTML[19]";
$thistext[22] = "CMS_HTML[22]";
$thistext[25] = "CMS_HTML[25]";
$thistext[28] = "CMS_HTML[28]";
$thistext[31] = "CMS_HTML[31]";
$thistext[34] = "CMS_HTML[34]";
$thistext[37] = "CMS_HTML[37]";


for ($i=10;$i<=37;$i = $i+3) {

	$bookmark[$i] = $i;

	
	$imageSource[$i] = $thisimg[$i];
	
	if (0 < strlen($imageSource[$i])) {
	
	adjustResizeParams($imageSource[$i]);

	$image[$i] = findUplMeta($filesource);
	$image[$i]->src = $filecropped;
	$image[$i]->resized = $fileresized;
    $image[$i]->alt = "";
    $image[$i]->width = $imageWidth;
    $image[$i]->height = $imageHeight;
    $image[$i]->popup = $filepopup;
	$image[$i]->foundimage = true;
	
	} else {
		$image[$i]->foundimage = false;
	}
	$image[$i]->text  = $thistext[$i];

	if (cRegistry::isBackendEditMode()) {
	$image[$i]->editor = $imgeditor[$i];
	}

	
}

// get editor as content type IMGEDITOR with index 1
// skip IMGEDITOR in frontend cause it displays the image too!


// build class containing all data necessary to display image
// therefor the image dimensions have to be determined

// When in backend edit mode add a label so the author
// knows what to type in the shown field.
if (cRegistry::isBackendEditMode()) {
    $label = mi18n("LABEL_IMAGE");
} else {
    $label = NULL;
}


$loggedin = ( $auth->auth["uid"] != "nobody" ) ? true : false;

$tpl = cSmartyFrontend::getInstance();
$tpl->assign('loggedin', $loggedin);
$tpl->assign('contenido', $contenido);
$tpl->assign('text1', $text1);
$tpl->assign('text2', $text2);
$tpl->assign('text3', $text3);
$tpl->assign('text4', $text4);
$tpl->assign('text5', $text5);
$tpl->assign('label', $label);
$tpl->assign('editor', $imageEditor);
$tpl->assign('image', $image);
$tpl->assign('idart', $idart);
$tpl->assign('bookmarktitle', mi18n("bookmarktitle"));
$tpl->assign('backend', $contenido);
$tpl->assign('bookmark', $bookmark);

if ( $text[1] != ""  || $contenido ) 	$tpl->display($sTpl);

function adjustResizeParams ($image) {
	
	global $client, $cfgClient, $orHeight, $orWidth, $ocHeight, $ocWidth, $opHeight, $opWidth, $rHeight, $rWidth, $cHeight, $cWidth, $pHeight, $pWidth, $filesource, $fileresized, $filecropped, $filepopup, $imageWidth, $imageHeight;

	$file4list    = str_replace($cfgClient[$client]["upl"]["htmlpath"], $cfgClient[$client]["upl"]["path"], $image);
	list($imageWidth, $imageHeight) = getimagesize($file4list);
	if ( $imageHeight > $imageWidth ) {
		//alle Werte tauschen
		list($rHeight, $rWidth) = array($orWidth, $orHeight);
		list($cHeight, $cWidth) = array($ocWidth, $ocHeight);
		list($pHeight, $pWidth) = array($opWidth, $opHeight);
	} else {	
		list($rHeight, $rWidth) = array($orHeight, $orWidth);
		list($cHeight, $cWidth) = array($ocHeight, $ocWidth);
		list($pHeight, $pWidth) = array($opHeight, $opWidth);	
	}
	
	$filesource   = str_replace($cfgClient[$client]["upl"]["htmlpath"], "", $image);
	$fileresized  = cApiImgScale($filesource, $rWidth, $rHeight, false, false) ; 
	$fileresized  = str_replace($cfgClient[$client]["path"]["htmlpath"], "", $fileresized);
	$filecropped  = cApiImgScale($fileresized, $cWidth, $cHeight, true, true) ; 
    $filecropped  = str_replace($cfgClient[$client]["path"]["htmlpath"], "", $filecropped);
	//$filepopup    = cApiImgScale($filesource, $pWidth, $pHeight, false, false) ; 
	//$filepopup    = str_replace($cfgClient[$client]["path"]["htmlpath"], "", $filepopup);
	$filepopup    = $image;
	
	list($imageWidth, $imageHeight) = getimagesize($filecropped);
	

}
?>